#import <GFGraphView.h>

@interface GFGraphView (Specific)
- (BOOL)trackMouse:(id)fp8;	// IMP=0x97b16579
- (BOOL)handleKeyDown:(id)fp8;	// IMP=0x97b176a9
- (BOOL)handleKeyUp:(id)fp8;	// IMP=0x97b17d89
- (BOOL)trackConnection:(id)fp8 fromPort:(id)fp12 atPoint:(struct _NSPoint)fp16;	// IMP=0x97b17e37
- (void)noteContentChanged;	// IMP=0x97b182a6
- (id)setupInspectorViews;	// IMP=0x97b1d90e
- (void)resetInspectorViews;	// IMP=0x97b182fb
- (id)tooltipStringForPoint:(struct _NSPoint)fp8 tooltipBounds:(struct _NSRect *)fp16;	// IMP=0x97b18339
- (id)setupTooltipViewForPoint:(struct _NSPoint)fp8 tooltipBounds:(struct _NSRect *)fp16;	// IMP=0x97b1d8a9
- (void)resetTooltipView;	// IMP=0x97b18340
- (id)menuForGraph;	// IMP=0x97b18345
- (void)setGraph:(id)fp8;	// IMP=0x97b184d8
- (id)graph;	// IMP=0x97b1882d
- (BOOL)drawsBackground;	// IMP=0x97b18838
- (void)setDrawsBackground:(BOOL)fp8;	// IMP=0x97b18844
- (BOOL)drawsShadows;	// IMP=0x97b18875
- (void)setDrawsShadows:(BOOL)fp8;	// IMP=0x97b18881
- (void)setGridStep:(unsigned int)fp8;	// IMP=0x97b188b2
- (unsigned int)gridStep;	// IMP=0x97b188e9
- (id)backgroundColor;	// IMP=0x97b188f4
- (void)setBackgroundColor:(id)fp8;	// IMP=0x97b188ff
- (id)gridColor;	// IMP=0x97b1897f
- (void)setGridColor:(id)fp8;	// IMP=0x97b1898a
- (void)setTooltipDelay:(double)fp8;	// IMP=0x97b18a0b
- (double)tooltipDelay;	// IMP=0x97b18ab2
- (id)nodeActorForNode:(id)fp8;	// IMP=0x97b18abd
- (struct _NSRect)boundsForConnection:(id)fp8;	// IMP=0x97b18b6b
- (struct _NSRect)boundsForNode:(id)fp8;	// IMP=0x97b18d4f
- (struct _NSRect)maxBounds;	// IMP=0x97b18e0b
- (struct _NSRect)boundsForConnection:(id)fp8 fromPoint:(struct _NSPoint)fp12 toPoint:(struct _NSPoint)fp20;	// IMP=0x97b18e80
- (void)drawConnection:(id)fp8 fromPoint:(struct _NSPoint)fp12 toPoint:(struct _NSPoint)fp20;	// IMP=0x97b18f3c
- (void)drawBackground:(struct _NSRect)fp8;	// IMP=0x97b191a3
- (void)drawSelectionArea:(struct _NSRect)fp8;	// IMP=0x97b19402
- (void)setNeedsDisplayForNode:(id)fp8;	// IMP=0x97b1965c
@end

