#import <AppKit/NSApplication.h>

@class NSButton, NSImageView, NSMatrix, NSPanel, NSTabView, NSTableView, NSTextField, NSTextView, NSWindow;

@interface MyApplication : NSApplication
{
    NSWindow *preferencesWindow;	// 76 = 0x4c
    NSPanel *exceptionPanel;	// 80 = 0x50
    NSTextField *exceptionText;	// 84 = 0x54
    NSTextView *exceptionTrace;	// 88 = 0x58
    NSPanel *messagePanel;	// 92 = 0x5c
    NSTextView *messageTextView;	// 96 = 0x60
    NSTextField *messageTextField;	// 100 = 0x64
    NSPanel *exportPanel;	// 104 = 0x68
    NSPanel *templatePanel;	// 108 = 0x6c
    NSTableView *templateTableView;	// 112 = 0x70
    NSTabView *templateTabView;	// 116 = 0x74
    NSButton *templatePreviousButton;	// 120 = 0x78
    NSButton *templateNextButton;	// 124 = 0x7c
    NSImageView *templateImageView;	// 128 = 0x80
    NSTextView *templateTextView;	// 132 = 0x84
    NSTextField *templateNameField;	// 136 = 0x88
    NSMatrix *templateMatrix;	// 140 = 0x8c
    NSTextField *templateLocationField;	// 144 = 0x90
    NSButton *templateChooseButton;	// 148 = 0x94
    NSTextView *notesTextView;	// 152 = 0x98
    NSTextView *startTextView;	// 156 = 0x9c
    BOOL _terminating;	// 160 = 0xa0
}

+ (void)initialize;	// IMP=0x0000240b
- (id)init;	// IMP=0x00002857
- (void)applicationDidBecomeActive:(id)fp8;	// IMP=0x00003172
- (BOOL)applicationShouldOpenUntitledFile:(id)fp8;	// IMP=0x00003ddb
- (void)__windowDidBecomeMain:(id)fp8;	// IMP=0x00008c5c
- (void)_openDocument:(id)fp8;	// IMP=0x0000b9a0
- (void)_newTemplateDocument:(id)fp8;	// IMP=0x00003e68
- (void)_showAlertPanel;	// IMP=0x0000ba08
- (void)finishLaunching;	// IMP=0x00002c71
- (void)terminate:(id)fp8;	// IMP=0x0000b64b
- (void)exit:(id)fp8;	// IMP=0x0000bafd
- (void)openExamples:(id)fp8;	// IMP=0x0000bb0f
- (void)showDocumentation:(id)fp8;	// IMP=0x0000bb89
- (void)showMailingList:(id)fp8;	// IMP=0x0000bc03
- (void)run;	// IMP=0x000028cc
- (BOOL)terminating;	// IMP=0x0000ac3a
- (void)printDocument:(id)fp8;	// IMP=0x0000bc9d
- (BOOL)validateMenuItem:(id)fp8;	// IMP=0x0000a519

@end

