#import "SnapToGridPrincipal.h"
#import "SnapToGridGraphView.h"
#import "GFGraphView.h"
#import "MyApplication-Preferences.h"

@implementation SnapToGridPlugin

+ (void)waitAndRefresh:(id)object
{
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];


	// @@@ a disgusting hack to make the composition editor refresh its preferences (otherwise the grid background is drawn incorrectly)

	NSApplication *a=[NSApplication sharedApplication];

	if( [a respondsToSelector:@selector(preferencesUpdated:)] )
	{
		MyApplication *aa=(MyApplication *)a;

		while( ! [aa mainWindow] )
			usleep(10000);

		[aa preferencesUpdated:nil];
	}


	[pool release];
}

+ (void)registerNodesWithManager:(GFNodeManager*)manager
{
	[SnapToGridGraphView poseAsClass:[GFGraphView class]];

	[NSThread detachNewThreadSelector:@selector(waitAndRefresh:) toTarget:[self class] withObject:nil];
}

@end
