#import <AppKit/NSView.h>

@class GFNodeManagerView, NSScrollView;

@interface GFGraphEditorView : NSView
{
    NSScrollView *_scrollView;	// 80 = 0x50
    float _zoomFactor;	// 84 = 0x54
    GFNodeManagerView *_nodeManager;	// 88 = 0x58
    void *_unused[4];	// 92 = 0x5c
}

- (id)initWithFrame:(struct _NSRect)fp8;	// IMP=0x97b14574
- (void)finalize;	// IMP=0x97b1345e
- (void)dealloc;	// IMP=0x97b13556
- (BOOL)isOpaque;	// IMP=0x97b13663
- (void)resizeSubviewsWithOldSize:(struct _NSSize)fp8;	// IMP=0x97b1366d
- (void)showGraphEditorInspector:(id)fp8;	// IMP=0x97b136df
- (void)printWithInfo:(id)fp8 showingPrintPanel:(BOOL)fp12;	// IMP=0x97b1374b
- (void)setGraph:(id)fp8;	// IMP=0x97b1486b
- (id)graph;	// IMP=0x97b13793
- (struct _NSSize)editorSize;	// IMP=0x97b137ca
- (void)setEditorSize:(struct _NSSize)fp8;	// IMP=0x97b1381e
- (void)encodeWithCoder:(id)fp8;	// IMP=0x97b138b1
- (id)initWithCoder:(id)fp8;	// IMP=0x97b146c3
- (void)setGridStep:(unsigned int)fp8;	// IMP=0x97b139fc
- (unsigned int)gridStep;	// IMP=0x97b13a3b
- (BOOL)drawsShadows;	// IMP=0x97b13a72
- (void)setDrawsShadows:(BOOL)fp8;	// IMP=0x97b13aa9
- (id)backgroundColor;	// IMP=0x97b13ae9
- (void)setBackgroundColor:(id)fp8;	// IMP=0x97b13b20
- (id)gridColor;	// IMP=0x97b13b5f
- (void)setGridColor:(id)fp8;	// IMP=0x97b13b96
- (float)zoomFactor;	// IMP=0x97b13bd5
- (void)setZoomFactor:(float)fp8;	// IMP=0x97b13be0
- (void)setTooltipDelay:(double)fp8;	// IMP=0x97b13c34
- (double)tooltipDelay;	// IMP=0x97b13c7f
- (void)setNodeManager:(id)fp8;	// IMP=0x97b13cb6
- (id)nodeManager;	// IMP=0x97b13da6

@end

