@class GFNode, NSDictionary, NSMutableDictionary;

@interface GFPort : NSObject
{
    unsigned int _flags;	// 4 = 0x4
    GFNode *_owner;	// 8 = 0x8
    GFPort *_originalPort;	// 12 = 0xc
    NSDictionary *_attributes;	// 16 = 0x10
    NSMutableDictionary *_userInfo;	// 20 = 0x14
    void *_unused[4];	// 24 = 0x18
}

- (id)init;	// IMP=0x97b0eebc
- (id)initWithNode:(id)fp8 arguments:(id)fp12;	// IMP=0x97ae6603
- (void)dealloc;	// IMP=0x97aebd9d
- (void)portWillDeleteFromNode;	// IMP=0x97aebafc
- (id)node;	// IMP=0x97aec8d0
- (id)attributes;	// IMP=0x97afe29b
- (id)userInfo;	// IMP=0x97b0eef6
- (id)state;	// IMP=0x97b0ef43
- (BOOL)setState:(id)fp8;	// IMP=0x97ae7ee1
- (void)stateUpdated;	// IMP=0x97ae787b
- (id)description;	// IMP=0x97b0efeb
- (id)key;	// IMP=0x97ae7d58
- (id)originalPort;	// IMP=0x97aedd76

@end

